---
title: "Find someone and open a chat"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/contacts.start_chat
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Find someone and open a chat

Find someone by phone number or @username from an account (optionally saving them as a contact) and open a chat. Follow the operation for the conversation.

Find someone by phone number or @username from an account (optionally saving them as a contact) and open a chat. Follow the operation for the conversation.

## Overview

| Name | Value |
| --- | --- |
| Code | `contacts.start_chat` |
| Scope needed | `contacts.write` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Queues work for a node |
| Needs `Idempotency-Key` | Yes |
| Member roles allowed | `owner`, `manager`, `agent` |
| In the app | Inbox → New message |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `accountId` | `uuid` | Yes |   |
| `query` | `text` | Yes |   |
| `saveAs` | `object` | No |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/contacts.start_chat \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: <unique key per operation>" \
  -d '{"accountId":"00000000-0000-0000-0000-000000000000","query":"…"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `conversationId` | `text` | Yes |
| `jobId` | `null` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "conversationId": "00000000-0000-4000-8000-000000000000",
    "jobId": null
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "contacts.start_chat"`. Tool name when listed: `contacts_start_chat`.
